"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrentEcsVersion = exports.EcsVersion = exports.v4 = exports.v3 = void 0;
exports.v3 = require("./v3");
exports.v4 = require("./v4");
var EcsVersion;
(function (EcsVersion) {
    EcsVersion["V3"] = "v3";
    EcsVersion["V4"] = "v4";
})(EcsVersion = exports.EcsVersion || (exports.EcsVersion = {}));
const CurrentEcsVersion = () => {
    const { ECS_CONTAINER_METADATA_URI, ECS_CONTAINER_METADATA_URI_V4 } = process.env;
    switch (true) {
        case ECS_CONTAINER_METADATA_URI_V4 !== "":
            return EcsVersion.V4;
        case ECS_CONTAINER_METADATA_URI !== "":
            return EcsVersion.V3;
        default:
            throw new Error(`cannot determine ecs instance version`);
    }
};
exports.CurrentEcsVersion = CurrentEcsVersion;
//# sourceMappingURL=index.js.map