"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchMetaData = void 0;
const node_fetch_1 = require("node-fetch");
async function fetchMetaData() {
    const { ECS_CONTAINER_METADATA_URI } = process.env;
    if (!ECS_CONTAINER_METADATA_URI) {
        throw new Error('missing metadata uri in environment (ECS_CONTAINER_METADATA_URI)');
    }
    const response = await node_fetch_1.default(`${ECS_CONTAINER_METADATA_URI}/task`, {
        method: 'GET',
    });
    if (!response.ok) {
        throw new Error(`error '${response.status}' while trying to fetch the task info: ${response.statusText}`);
    }
    const data = (await response.json());
    return data;
}
exports.fetchMetaData = fetchMetaData;
//# sourceMappingURL=v3.js.map